=== tests/parsing/Makefile ===
SOURCES := ../../parsing.c

include ../Makefile.inc
