=== tests/viewcolumns_parser/Makefile ===
SOURCES := ../../parser.c

include ../Makefile.inc
