=== debian/changelog ===
vifm (0.7.8-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:52 +0000

vifm (0.7.8-3) unstable; urgency=medium

  * Added patch to fix building on arm-archs
    Thanks to xaizek for providing another fix very quickly!

 -- Hendrik Jaeger <deb@henk.geekmail.org>  Sun, 26 Oct 2014 11:41:34 +0100

vifm (0.7.8-2) unstable; urgency=medium

  * Removed non-functional 'make tests' fixup in debian/rules
  * Added patch to fix building without terminal
    Thanks to xaizek for providing the patch so quickly

 -- Hendrik Jaeger <deb@henk.geekmail.org>  Sun, 26 Oct 2014 01:42:39 +0200

vifm (0.7.8-1) unstable; urgency=medium

  * [54b44c8] New Upstream version 0.7.8 (Upload to unstable)
  * [ffc0b9c] Changed Standards-Version from 3.9.4 to 3.9.6 in debian/control
  * [8f0860c] Changed path in debian/install to reflect upstream changes
  * [feaa914] Changed Homepage in debian/control to http://vifm.info/
  * [08a6d6f] Changed Source and Upstream-Contact in debian/copyright
  * [f0e76b8] Changed Copyright time period in debian/copyright
  * [085c125] Added missing Copyright holder to debian/copyright
  * [75c7b88] Added missing license information in debian/copyright
  * [f21acf8] Added support for -beta releases to debian/watch
  * [d8d0029] Added override in debian/rules to make tests work
  * [a73f042] Added locale setting in debian/rules to fix manpage generation
  * [da21229] Added dh_autoreconf to fix build for new archs (Closes: #748283)
  * [5a97013] Added dynamic support for X11
  * [157f3d9] Added explicit --without-gtk to configure call in debian/rules
  * [f927fb2] Added vim as Build-Dependency for helptags generation
  * [2b3754c] Removed debian/clean, obsoleted by upstream.
  * [32d0e01] Removed obsolete patch from debian/patches/series
  * [9560a73] Removed obsolete patchfiles

 -- Hendrik Jaeger <deb@henk.geekmail.org>  Sat, 25 Oct 2014 20:39:52 +0200

vifm (0.7.4a-1~exp2) experimental; urgency=low

  * Removed unnecessary build-dependency on 'quilt'
  * Added options to configure call to avoid extra dependencies:
    - --without-X11
    - --without-gtk

 -- Hendrik Jaeger <deb@henk.geekmail.org>  Mon, 26 Nov 2012 23:14:45 +0100

vifm (0.7.4a-1~exp1) experimental; urgency=low

  * New maintainer (Closes: #682456)
  * New upstream release (Closes: #577280):
    - vifm-pause script was renamed (Closes: #592562)
    - proper utf8-support has been included (Closes: #526253, #495805)
    - possible buffer overflow fixed, debian-dir cleaned up (Closes: #520458)
    - dirs with spaces are now handled correctly (Closes: #483474)
  * Added patches to fix tests
    - tests/Makefile.inc: add include to find curses.h
  * Added debian/clean to delete build-leftovers
  * Added debian/compat to state compatibility with debhelper 9
  * Added homepage to package description
  * Added debian/install to install the vifm-plugin for vim where it can be
    used with vim-addon-manager
  * Added debian/menu to have vifm show up in autogenerated menus
  * Added debian/source/format with "3.0 (quilt)"
  * Added needed files to vim-vifm.yaml
  * Changed debian policy version to 3.9.4
  * Changed package description text to be more informative
  * Changed debian/copyright to be machine parsable (DEP-5)
  * Changed debian/rules to use dh for everything
  * Changed debian/watch to correct format and file extension
  * Changed dependency to libncursesw5-dev

 -- Hendrik Jaeger <deb@henk.geekmail.org>  Sun, 23 Sep 2012 02:10:58 +0200

vifm (0.4-1) unstable; urgency=low

  * new upstream release with UTF-8 support (Closes: #495805)

 -- Edelhard Becker <edelhard@debian.org>  Thu, 11 Sep 2008 22:35:37 +0200

vifm (0.3a-3) unstable; urgency=low

  * make vifm build-depend on automake and libtool (Closes: #477735)

 -- Edelhard Becker <edelhard@debian.org>  Fri, 25 Apr 2008 21:55:56 +0200

vifm (0.3a-2) unstable; urgency=low

  * okay, okay, with vim-addon-manager we don't need a postinst with helpztags
    any more ...

 -- Edelhard Becker <edelhard@debian.org>  Tue, 22 Apr 2008 17:35:55 +0200

vifm (0.3a-1) unstable; urgency=low

  * new upstream release
  * debian/rules: call autogen.sh, fixed clean target
  * fixed debian/watch file (Closes: #450233)
  * added patches from CVS
  * bump standards to 3.7.3 (no changes)
  * depend on vim|vim-tiny, install helpfile in /usr/share/vim/addons/doc,
    vifm.vim in /usr/share/vim/addons/plugin and use vim-addon-manager for
    local and system-wide installation (Closes: #443479); do not install both
    as conffiles anymore
  * look for DEB_BUILD_OPTIONS=nostrip (Closes: #438245)

 -- Edelhard Becker <edelhard@debian.org>  Mon, 21 Apr 2008 15:40:09 +0200

vifm (0.3-2) unstable; urgency=low

  * ACK NMU, thanks Blars (Closes: #320118)

 -- Edelhard Becker <edelhard@debian.org>  Tue,  9 Aug 2005 15:15:09 +0200

vifm (0.3-1.1) unstable; urgency=low

  * NMU durring BSP
  * add build-depend on automake1.7 (Closes: #320118)

 -- Blars Blarson <blarson@debian.org>  Fri,  5 Aug 2005 19:37:55 +0000

vifm (0.3-1) unstable; urgency=low

  * New upstream release
  * removed CC=cc from debian/rules (broke with libtool --tag)
  * remove CVS dirs from upstream tarball

 -- Edelhard Becker <edelhard@debian.org>  Tue, 19 Jul 2005 15:30:01 +0200

vifm (0.2a-2) unstable; urgency=low

  * Renamed pauseme to vifm-pauseme (making a diversion or putting it into a
    seperate package just seems to be too much effort for a 8-line shell
    script, IMHO; Closes: #274782: file conflicts in vifm tkdesk).

 -- Edelhard Becker <edelhard@debian.org>  Mon,  4 Oct 2004 11:35:25 +0200

vifm (0.2a-1) unstable; urgency=low

  * New upstream release (thanks Jeroen van Wolffelaar for the hint)
  * changed Maintainer to my debian account
  * updated standards to 3.6.1 (no changes needed)
  * removed CVS directories from source

 -- Edelhard Becker <edelhard@debian.org>  Wed, 29 Sep 2004 18:00:36 +0200


