=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-X11 --with-dyn-X11 --without-gtk

override_dh_auto_test:
	make -j1 check

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibx11-6
