=== debian/watch ===
version=3
# X.Y.Z-beta comes before X.Y.Z
opts=uversionmangle=s/-/~/ \
    http://sf.net/vifm/vifm-(.*)\.tar\.bz2
