=== debian/changelog ===
vifm (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Uploading to unstable
  * Migrated to git-dpm
  * Removed d/p/filetype_unit_test_fix.patch (applied upstream)

 -- Ondřej Nový <onovy@debian.org>  Thu, 21 Jul 2016 21:40:14 +0200

vifm (0.8.2~beta-1) experimental; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Removed all patches, applied upstream
  * Upstream url changed to https protocol
  * Added filetype_unit_test_fix.patch

 -- Ondřej Nový <onovy@debian.org>  Mon, 04 Jul 2016 13:36:26 +0200

vifm (0.8.1a-1) unstable; urgency=medium

  * New maintainer (Closes: #824002)
  * wrap-and-sort -t -a
  * Added Vcs-* fields pointing to the collab-maint repository
  * Fixed vim plugin (Closes: #770195)
  * Removed redundant files from /usr/share/vifm

 -- Ondřej Nový <novy@ondrej.org>  Wed, 11 May 2016 23:20:03 +0200

vifm (0.8.1a-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed override_dh_auto_test which prevented to see errors from tests
  * Added patches from upstream:
    - use_CFLAGS_passed_to_configure_in_tests.patch
    - fix_for_architectures_on_which_char_is_unsigned.patch
    - use_return_value_of_chdir_in_misc_tests.patch
  * Enabled all PIE hardening

 -- Ondřej Nový <novy@ondrej.org>  Tue, 03 May 2016 23:37:52 +0200

vifm (0.8.1a-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #812797, #810630)
  * Removed 0001-fix-building-without-terminal.patch
    (Applied upstream)
  * Removed 0002-Fix-buffer-overflow-in-tests-to-fix-building-on-arm.patch
    (Applied upstream)
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright:
    - Fixed for new release
    - Added myself for Debian part
  * Removed superfluous doc files (COPYING, INSTALL and ChangeLog)
  * Removed d/menu, .desktop file is installed instead
  * Added simple Debian test
  * Enabled all but PIE hardening
  * Added disable-build-timestamp option to perform reproducible build

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:27:44 +0200
