=== debian/control ===
Source: vifm
Section: utils
Priority: optional
Maintainer: Ondřej Nový <onovy@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmagic-dev,
               libncursesw5-dev,
               libx11-dev,
               vim,
Standards-Version: 3.9.8
Homepage: https://vifm.info/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vifm.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vifm.git

Package: vifm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: libx11-6,
            vim-addon-manager,
Description: flexible vi-like file manager using ncurses
 Vifm is a file manager providing a vi-like usage experience. It has similar
 keybindings and modes (e.g. normal, command line, visual). The interface uses
 ncurses, thus vifm can be used in text-only environments.
 It supports a wide range of features, some of which are known from the
 vi-editor:
  - utf8 support
  - user mappings (almost like in vi)
  - ranges in command-line commands
  - user defined commands (with support for ranges)
  - registers
  - operation undoing/redoing
  - fuse file systems support
  - trash
  - multiple files renaming
  - support of filename modifiers
  - colorschemes support
  - file name color according to file type
  - path specific colorscheme customization
  - bookmarks
  - operation backgrounding
  - customizable file viewers
  - handy less-like preview mode
  - filtering out and searching for files using regular expressions
  - one or two panes view
 With the package comes a plugin to use vifm as a vim file selector.
