=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-X11 --with-dyn-X11 --without-gtk --disable-build-timestamp

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibx11-6

override_dh_install:
	rm -r \
		debian/vifm/usr/share/doc/vifm/COPYING \
		debian/vifm/usr/share/doc/vifm/INSTALL \
		debian/vifm/usr/share/doc/vifm/ChangeLog \
		debian/vifm/usr/share/vifm/vim \
		debian/vifm/usr/share/vifm/vim-doc \
		debian/vifm/usr/share/vifm/vifm-help.txt \
		debian/vifm/usr/share/vifm/vifmrc-osx

	dh_install --fail-missing
