## vifm 0.9

=== debian/changelog ===
vifm (0.9-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper version to 10
  * Check upstream tarball signature

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 16:58:33 +0200
