## vifm 0.9.1

=== tests/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 #
 # Each test-suite (directory) is run in a separate sandbox directory.  During
 # compilation two defines are available:
-#  - TEST_DATA_PATH -- absolute path to test-data/ directory (might be RO)
-#  - SANDBOX_PATH   -- absolute path to sandbox for the suite (always RW)
+#  - TEST_DATA_PATH -- path to test-data/ directory (might be RO)
+#  - SANDBOX_PATH   -- path to sandbox for the suite (always RW)
 #
 # Test suites can be run concurrently.
 #
@@ -20,19 +20,21 @@
 #
 # make              -- builds and runs all tests
 # make build        -- builds all tests without running them
+# make check        -- builds all tests and then runs them
 # make <dir>        -- runs specific test suite
 # make <dir>.<name> -- runs specific fixture
 #
 # make DEBUG=1 ...        -- builds debug version
 # make DEBUG=gdb ...      -- builds debug version and loads suite into gdb
-# make DEBUG=valgrind ... -- builds debug version and run it under valgrind (see
-#                            valgrind-report file after a run)
-#
-# make VERBOSE=1 ... -- print all build commands
-#
-# make TEST_RUN_PREFIX=wine -- run command prefix
-#
-# make clean -- removes various built artifacts
+# make DEBUG=rr ...       -- builds debug version and loads suite into rr
+# make DEBUG=valgrind ... -- builds debug version and runs it under valgrind
+#                            (see valgrind-report file after a run)
+#
+# make VERBOSE=1 ... -- enables verbose printing of commands
+#
+# make TEST_RUN_PREFIX=wine -- sets run command prefix
+#
+# make clean -- removes various build artifacts
 #
 # "B" variable might be set to build tree root to run tests out of the source
 # tree.
@@ -62,19 +64,20 @@
 BUILD := $(B)bin/build/$(BINSUBDIR)
 
 # engine
-suites += abbrevs autocmds commands completion keys options parsing variables
+suites += abbrevs autocmds commands completion keys options parsing text_buffer
+suites += variables
 # io
 suites += ioeta ionotif iop ior
 # ui
 suites += colmgr column_view viewcolumns_parser
 # everything else
-suites += bmarks env escape fileops filetype filter misc undo utils
+suites += bmarks env escape fileops filetype filter fuzz misc undo utils
 
 # obtain list of sources that are being tested
 vifm_src := ./ cfg/ compat/ engine/ int/ io/ io/private/ modes/dialogs/ menus/
 vifm_src += modes/ ui/ utils/
 vifm_src := $(wildcard $(addprefix ../src/, $(addsuffix *.c, $(vifm_src))))
-vifm_src := $(filter-out %/tags.c, $(vifm_src))
+vifm_src := $(filter-out %/tags.c %/xxhash.c, $(vifm_src))
 
 # filter out generally non-testable or sources for another platform
 vifm_src := $(filter-out %/vifm.c %/win_helper.c, $(vifm_src))
@@ -121,52 +124,63 @@
 AT = $(AT_$(V))
 
 # setup compile and link flags (partially depends on OS)
-CFLAGS := -MMD -pipe -Wall -Werror -Istic/ -DTEST -include $(B)../config.h
-CFLAGS += -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED -Wno-char-subscripts
-CFLAGS += -D_FILE_OFFSET_BITS=64 -fsigned-char
-LDFLAGS := -lpthread
+override CFLAGS := $(CFLAGS) -MMD -pipe -Wall -Wno-char-subscripts \
+                   -Istic/ -include $(B)../build-aux/config.h -fsigned-char \
+                   -DTEST -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED \
+                   -D_FILE_OFFSET_BITS=64
+override LDFLAGS := $(LDFLAGS)
 ifeq (,$(findstring clang,$(CC)))
     # clang is inconvenient with regard to this flag, don't do coverage with it
-    LDFLAGS += --coverage
+    override LDFLAGS += --coverage
 endif
 ifdef unix_env
-    MF := $(B)../src/Makefile
+    MF := $(abspath $(B)../src/Makefile)
     ifneq ($(wildcard $(MF)),)
-        LDFLAGS += $(shell grep -m1    'LIBS =' $(MF) | sed 's/^[^=]*=//')
-        LDFLAGS += $(shell grep -m1 'LDFLAGS =' $(MF) | sed 's/^[^=]*=//')
-
-        CFLAGS  += $(shell grep -m1          'CPPFLAGS =' $(MF) | sed 's/^[^=]*=//')
-        CFLAGS  += $(shell grep -m1      'TESTS_CFLAGS =' $(MF) | sed 's/^[^=]*=//')
-        CFLAGS  += $(shell grep -m1 'SANITIZERS_CFLAGS =' $(MF) | sed 's/^[^=]*=//')
-    endif
-
-    CFLAGS += -I/usr/include/ncursesw
+        override LDFLAGS += \
+            $(shell grep -m1    'LIBS =' $(MF) | sed 's/^[^=]*=//') \
+            $(shell grep -m1 'LDFLAGS =' $(MF) | sed 's/^[^=]*=//')
+
+        override CFLAGS  += \
+            $(shell grep -m1          'CPPFLAGS =' $(MF) | sed 's/^[^=]*=//') \
+            $(shell grep -m1      'TESTS_CFLAGS =' $(MF) | sed 's/^[^=]*=//') \
+            $(shell grep -m1 'SANITIZERS_CFLAGS =' $(MF) | sed 's/^[^=]*=//')
+    endif
+
+    override CFLAGS += -I/usr/include/ncursesw
     export UBSAN_OPTIONS := halt_on_error=1
 endif
 ifdef win_env
-    LDFLAGS += $(shell sed -n '/LIBS :=/{s/^[^=]\+=//p;q}' ../src/Makefile.win)
-    # this part is in conditional
+    override CFLAGS += -pthread
+    override LDFLAGS += \
+        $(shell sed -n '/LIBS :=/{s/^[^=]\+=//p;q}' ../src/Makefile.win)
+    # this part is in conditional of ../src/Makefile.win
     ifeq ($(OS),Windows_NT)
-        LDFLAGS += -lpdcurses
+        override LDFLAGS += -lpdcurses
     else
-        LDFLAGS += -lcurses
-    endif
+        override LDFLAGS += -lcurses
+    endif
+endif
+ifeq (,$(findstring -lpthread,$(LDFLAGS)))
+    override LDFLAGS += -pthread
 endif
 
 ifdef DEBUG
-    CFLAGS += -g
-    LDFLAGS += -g
+    override CFLAGS += -g -O0
+    override LDFLAGS += -g
     ifdef unix_env
-        LDFLAGS += -rdynamic
+        override LDFLAGS += -rdynamic
     endif
 
     ifeq ($(DEBUG),gdb)
-        TEST_RUN_PREFIX := gdb --args
+        TEST_RUN_PREFIX := gdb -q --args
+    endif
+    ifeq ($(DEBUG),rr)
+        TEST_RUN_PREFIX := rr record
     endif
     ifeq ($(DEBUG),valgrind)
         TEST_RUN_PREFIX := valgrind --track-origins=yes --leak-check=full \
                            --log-file=valgrind-report --error-exitcode=5 \
-                           --suppressions=$(abspath .)/../.valgrind.supp
+                           --suppressions=$(abspath .)/../src/.valgrind.supp
         TEST_RUN_POST := || (e=$$$$?; if [ $$$$e -eq 5 ]; then \
                                           cat valgrind-report; \
                                       fi; \
@@ -178,6 +192,11 @@
 
 # check and build targets are defined mostly in suite_template
 check: build
+	@if [ "$$(find "$(SANDBOX_PATH)" -mindepth 2 | wc -l)" -ne 0 ]; then \
+	    echo "ERROR: sandbox isn't empty"; \
+	    find $(SANDBOX_PATH) -mindepth 2; \
+	    false; \
+	fi
 
 clean:
 	$(RM) -r $(B)bin/ $(SANDBOX_PATH)/
@@ -231,6 +250,10 @@
     TEST_DATA_PATH := test-data
 endif
 
+ifneq ($(shell find "$(SANDBOX_PATH)" -mindepth 2 2> /dev/null | wc -l),0)
+    $(shell $(RM) -r $(SANDBOX_PATH))
+endif
+
 
 # suite definition template, takes single argument: name of the suite
 define suite_template
@@ -261,8 +284,15 @@
 		echo -n '$$($1.src)' > $$@; \
 	fi
 
-$(BUILD)$1 $(SANDBOX_PATH)/$1:
+$(BUILD)$1:
 	$(AT)mkdir -p $$@
+
+$(SANDBOX_PATH)/$1:
+ifeq ($(SANDBOX_PATH),sandbox)
+	$(AT)mkdir -p $(B)$$@
+else
+	$(AT)mkdir -p $$@
+endif
 
 $1: $$($1.bin)
 ifeq ($B,)
@@ -282,7 +312,9 @@
 
 build: $$($1.bin)
 
+ifneq ($1,fuzz)
 check: $1
+endif
 
 endef
