=== debian/changelog ===
vifm (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh_missing --fail-missing
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * d/copyright
    - Change upstream author email
    - Use https for format
  * Bump debhelper compat level to 11
  * d/control: Change Vcs-* to Salsa

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Feb 2018 14:56:56 +0100
