=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libmagic-dev,
                libncursesw5-dev,
                libx11-dev,
                vim,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://vifm.info/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vifm.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/vifm.git
+Vcs-Browser: https://salsa.debian.org/debian/vifm
+Vcs-Git: https://salsa.debian.org/debian/vifm.git
 
 Package: vifm
 Architecture: any
