=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,7 @@
 		debian/vifm/usr/share/vifm/vifm-help.txt \
 		debian/vifm/usr/share/vifm/vifmrc-osx
 
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
