=== debian/watch ===
version=3
# X.Y.Z-beta comes before X.Y.Z
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/-/~/ \
    http://sf.net/vifm/vifm-(.*)\.tar\.bz2
