## vifm 0.10

=== tests/Makefile ===
--- 
+++ 
@@ -71,7 +71,10 @@
 # ui
 suites += colmgr column_view viewcolumns_parser
 # everything else
-suites += bmarks env escape fileops filetype filter fuzz misc undo utils
+suites += bmarks env escape fileops filetype filter misc undo utils
+
+# these are built, but not automatically executed
+apps := fuzz regs_shmem_app
 
 # obtain list of sources that are being tested
 vifm_src := ./ cfg/ compat/ engine/ int/ io/ io/private/ modes/dialogs/ menus/
@@ -82,7 +85,8 @@
 # filter out generally non-testable or sources for another platform
 vifm_src := $(filter-out %/vifm.c %/win_helper.c, $(vifm_src))
 ifndef unix_env
-    vifm_src := $(filter-out %/desktop.c %/mntent.c %_nix.c, $(vifm_src))
+    vifm_src := $(filter-out %/desktop.c %/media_menu.c %/mntent.c %_nix.c, \
+                             $(vifm_src))
 endif
 ifndef win_env
     vifm_src := $(filter-out %/wcwidth.c %/volumes_menu.c %_win.c, $(vifm_src))
@@ -129,10 +133,6 @@
                    -DTEST -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED \
                    -D_FILE_OFFSET_BITS=64
 override LDFLAGS := $(LDFLAGS)
-ifeq (,$(findstring clang,$(CC)))
-    # clang is inconvenient with regard to this flag, don't do coverage with it
-    override LDFLAGS += --coverage
-endif
 ifdef unix_env
     MF := $(abspath $(B)../src/Makefile)
     ifneq ($(wildcard $(MF)),)
@@ -163,6 +163,14 @@
 ifeq (,$(findstring -lpthread,$(LDFLAGS)))
     override LDFLAGS += -pthread
 endif
+ifneq (,$(findstring --coverage, $(LDFLAGS)))
+    ifeq (,$(findstring clang,$(CC)))
+        # clang is inconvenient with regard to this flag, don't do coverage with
+        # it
+        override CFLAGS += --coverage
+        override LDFLAGS += --coverage
+    endif
+endif
 
 ifdef DEBUG
     override CFLAGS += -g -O0
@@ -188,7 +196,7 @@
     endif
 endif
 
-.PHONY: check build clean $(suites)
+.PHONY: check build clean $(suites) $(apps)
 
 # check and build targets are defined mostly in suite_template
 check: build
@@ -296,9 +304,9 @@
 
 $1: $$($1.bin)
 ifeq ($B,)
-	@$(TEST_RUN_PREFIX) $$^ -s $(TEST_RUN_POST)
-else
-	@cd $B && $(TEST_RUN_PREFIX) $$^ -s $(TEST_RUN_POST)
+	@$(TEST_RUN_PREFIX) $$< -s $(TEST_RUN_POST)
+else
+	@cd $B && $(TEST_RUN_PREFIX) $$< -s $(TEST_RUN_POST)
 endif
 
 # this runs separate fixtures, targets are of the form dir.name
@@ -312,14 +320,18 @@
 
 build: $$($1.bin)
 
-ifneq ($1,fuzz)
+# don't add apps to the list of things to run automatically
+ifeq (,$(filter $1,$(apps)))
 check: $1
 endif
 
 endef
 
-# walk throw list of suites and instantiate template for each one
-$(foreach suite, $(suites), $(eval $(call suite_template,$(suite))))
+# walk throw list of suites+apps and instantiate template for each one
+$(foreach suite, $(suites) $(apps), $(eval $(call suite_template,$(suite))))
+
+# extra dependencies between test fixtures
+misc: | $(regs_shmem_app.bin)
 
 # import dependencies calculated by the compiler
 include $(wildcard $(deps) \
