=== debian/changelog ===
vifm (0.10-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Nov 2018 13:15:04 +0100

vifm (0.9.1-2) unstable; urgency=medium

  * d/changelog: Remove trailing newline
  * Use /usr/bin/perl as Perl interpreter
  * Bump standards version to 4.2.1 (no changes)
  * d/watch: Use https protocol
  * Add upstream metadata
  * Install vifm-help.txt (LP: #1774852)

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 18:21:02 +0200
