=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libncursesw5-dev,
                libx11-dev,
                vim,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://vifm.info/
 Vcs-Browser: https://salsa.debian.org/debian/vifm
 Vcs-Git: https://salsa.debian.org/debian/vifm.git
