=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		debian/vifm/usr/share/doc/vifm/ChangeLog \
 		debian/vifm/usr/share/vifm/vim \
 		debian/vifm/usr/share/vifm/vim-doc \
-		debian/vifm/usr/share/vifm/vifm-help.txt \
 		debian/vifm/usr/share/vifm/vifmrc-osx
 
 	dh_install
