## vifm 0.10.1

=== tests/Makefile ===
--- 
+++ 
@@ -150,7 +150,7 @@
     export UBSAN_OPTIONS := halt_on_error=1
 endif
 ifdef win_env
-    override CFLAGS += -pthread
+    override CFLAGS += -pthread -DPDC_WIDE
     override LDFLAGS += \
         $(shell sed -n '/LIBS :=/{s/^[^=]\+=//p;q}' ../src/Makefile.win)
     # this part is in conditional of ../src/Makefile.win
@@ -169,6 +169,13 @@
         # it
         override CFLAGS += --coverage
         override LDFLAGS += --coverage
+    endif
+endif
+# don't precompile header with clang (on OS X gcc is likely to be a symlink to
+# clang) because it handles macros in a different way
+ifeq (,$(findstring clang,$(CC)))
+    ifneq (Darwin,$(shell uname -s))
+        GCH_DEP := $(B)stic/stic.h.gch
     endif
 endif
 
@@ -213,7 +220,7 @@
 # disable implicit rules to prevent compiling main sources here
 .SUFFIXES:
 
-$(vifm_obj) ../src/./tags.c: | $(vifm_bin)
+$(vifm_obj) ../src/./tags.c: $(vifm_src) | $(vifm_bin)
 
 $(vifm_bin): $(vifm_src)
 	$(MAKE) $(make_args) vifm$(exe_suffix)
@@ -225,13 +232,7 @@
 	$(CC) -c -o $@ $(CFLAGS) $<
 
 $(B)stic/stic.h.gch: stic/stic.h | $(B)stic
-# don't precompile header with clang (on OS X gcc is likely to be a symlink to
-# clang) because it handles macros in a different way
-ifeq (,$(findstring clang,$(CC)))
-ifneq (Darwin,$(shell uname -s))
 	$(CC) -c -o $@ $(CFLAGS) $<
-endif
-endif
 
 $(B)stic $(B)bin/$(BINSUBDIR):
 	$(AT)mkdir -p $@
@@ -278,7 +279,7 @@
           | $(vifm_bin) $(B)bin/$(BINSUBDIR)
 	$$(LD) -o $$@ $$^ $(LDFLAGS)
 
-$(BUILD)$1/%.o: $1/%.c $(B)stic/stic.h.gch $(BUILD)$1/filelist \
+$(BUILD)$1/%.o: $1/%.c $(GCH_DEP) $(BUILD)$1/filelist \
               | $(BUILD)$1 $(SANDBOX_PATH)/$1
 	$$(CC) -c -o $$@ -include stic/stic.h $(CFLAGS) \
 	                 -DTESTID=$$(call pos, $$($1.obj), $$@) \
