=== debian/changelog ===
vifm (0.10.1-4) unstable; urgency=medium

  * Fix GCC-10 (Closes: #957910)
  * Bump standards version to 4.5.0.
  * Bump debhelper compat level to 13.
  * Set Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Thu, 20 Aug 2020 08:44:41 +0200

vifm (0.10.1-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd.

 -- Ondřej Nový <onovy@debian.org>  Sat, 24 Aug 2019 18:51:30 +0200

vifm (0.10.1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.

 -- Ondřej Nový <onovy@debian.org>  Sun, 11 Aug 2019 13:35:56 +0200

vifm (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * d/patches/drop-vifm-media-osx.patch: Don't install vifm-media-osx script

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 10:47:46 +0200
