=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libmagic-dev,
                libncursesw5-dev,
                libx11-dev,
                vim,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://vifm.info/
 Vcs-Browser: https://salsa.debian.org/debian/vifm
 Vcs-Git: https://salsa.debian.org/debian/vifm.git
+Rules-Requires-Root: no
 
 Package: vifm
 Architecture: any
