=== debian/tests/control ===
Test-Command: vifm -v
