## vifm 0.12

=== tests/Makefile ===
--- 
+++ 
@@ -48,6 +48,9 @@
     endif
 else
     ifeq ($(CROSS),)
+        ifeq ($(shell id -u),0)
+            $(warning warning: running tests as root disables chmod-based ones)
+        endif
         unix_env := true
     else
         win_env := true
@@ -64,21 +67,21 @@
 BUILD := $(B)bin/build/$(BINSUBDIR)
 
 # engine
-suites += abbrevs autocmds commands completion keys options parsing text_buffer
-suites += variables
+suites += abbrevs autocmds cmds commands completion keys options parsing
+suites += text_buffer variables
 # io
 suites += ioeta ionotif iop ior
 # ui
 suites += colmgr column_view viewcolumns_parser
 # everything else
-suites += bmarks env escape fileops filetype filter misc undo utils
+suites += bmarks env escape fileops filetype filter lua misc undo utils
 
 # these are built, but not automatically executed
 apps := fuzz regs_shmem_app
 
 # obtain list of sources that are being tested
-vifm_src := ./ cfg/ compat/ engine/ int/ io/ io/private/ modes/dialogs/ menus/
-vifm_src += modes/ ui/ utils/
+vifm_src := ./ cfg/ compat/ engine/ int/ io/ io/private/ lua/ lua/lua/ menus/
+vifm_src += modes/ modes/dialogs/ ui/ utils/
 vifm_src := $(wildcard $(addprefix ../src/, $(addsuffix *.c, $(vifm_src))))
 vifm_src := $(filter-out %/tags.c %/xxhash.c, $(vifm_src))
 
@@ -92,8 +95,11 @@
     vifm_src := $(filter-out %/wcwidth.c %/volumes_menu.c %_win.c, $(vifm_src))
 endif
 
-vifm_bin := $(B)../src/vifm$(exe_suffix)
-vifm_obj := $(B)../src/./tags.o $(vifm_src:%.c=$(B)%.o) $(BUILD)stubs.o
+vifm_obj := $(B)../src/./tags.o $(vifm_src:%.c=$(B)%.o)
+
+tests_lib := $(BUILD)libtest-support.a
+tests_lib_src := $(wildcard test-support/*.c)
+tests_lib_obj := $(patsubst %.c,$(BUILD)%.o,$(tests_lib_src))
 
 # make sure that there is one compile_info.c object file in the list
 vifm_obj := $(filter-out %/compile_info.o, $(vifm_obj))
@@ -107,7 +113,8 @@
     exe_suffix := .exe
 endif
 
-CC = gcc
+CC = $(CROSS)gcc
+AR = $(CROSS)ar
 
 # handling of verbosity (non-verbose by default)
 ifdef VERBOSE
@@ -116,20 +123,26 @@
     V = 0
 endif
 ACTUAL_CC := $(CC)
+ACTUAL_AR := $(AR)
 CC_0 = @echo "Compiling $@..."; $(ACTUAL_CC)
 CC_1 = $(ACTUAL_CC)
+AR_0 = @echo "Archiving $@..."; $(ACTUAL_AR)
+AR_1 = $(ACTUAL_AR)
 LD_0 = @echo "Linking $@..."; $(ACTUAL_CC)
 LD_1 = $(ACTUAL_CC)
 AT_0 = @
 AT_1 =
 # redefine commands according to verbosity state
 override CC = $(CC_$(V))
+override AR = $(AR_$(V))
 override LD = $(LD_$(V))
 AT = $(AT_$(V))
 
 # setup compile and link flags (partially depends on OS)
-override CFLAGS := $(CFLAGS) -MMD -pipe -Wall -Wno-char-subscripts \
-                   -Istic/ -include $(B)../build-aux/config.h -fsigned-char \
+override CFLAGS := $(CFLAGS) -MMD -MP -pipe \
+                   -Wall -Wno-char-subscripts \
+                   -Itest-support/ -Itest-support/stic/ \
+                   -include $(B)../build-aux/config.h \
                    -DTEST -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED \
                    -D_FILE_OFFSET_BITS=64
 override LDFLAGS := $(LDFLAGS)
@@ -160,6 +173,7 @@
         override LDFLAGS += -lcurses
     endif
 endif
+override CFLAGS += -fcommon
 ifeq (,$(findstring -lpthread,$(LDFLAGS)))
     override LDFLAGS += -pthread
 endif
@@ -171,12 +185,14 @@
         override LDFLAGS += --coverage
     endif
 endif
-# don't precompile header with clang (on OS X gcc is likely to be a symlink to
-# clang) because it handles macros in a different way
 ifeq (,$(findstring clang,$(CC)))
+    # don't precompile header with clang (on OS X gcc is likely to be a symlink
+    # to clang) because it handles macros in a different way
     ifneq (Darwin,$(shell uname -s))
-        GCH_DEP := $(B)stic/stic.h.gch
-    endif
+        GCH_DEP := $(BUILD)test-support/stic/stic.h.gch
+    endif
+    # this flag seems to be gcc-specific and clang freaks out on it with -Werror
+    override CFLAGS += -Wno-format-truncation
 endif
 
 ifdef DEBUG
@@ -184,6 +200,8 @@
     override LDFLAGS += -g
     ifdef unix_env
         override LDFLAGS += -rdynamic
+    else
+        override CFLAGS += -gdwarf-3
     endif
 
     ifeq ($(DEBUG),gdb)
@@ -203,7 +221,7 @@
     endif
 endif
 
-.PHONY: check build clean $(suites) $(apps)
+.PHONY: check build clean $(suites) $(apps) appsources
 
 # check and build targets are defined mostly in suite_template
 check: build
@@ -215,26 +233,33 @@
 
 clean:
 	$(RM) -r $(B)bin/ $(SANDBOX_PATH)/
-	$(RM) $(B)stic/stic.h.d $(B)stic/stic.h.gch
 
 # disable implicit rules to prevent compiling main sources here
 .SUFFIXES:
 
-$(vifm_obj) ../src/./tags.c: $(vifm_src) | $(vifm_bin)
-
-$(vifm_bin): $(vifm_src)
+# sources target groups dependencies to avoid invoking nested make per target
+$(vifm_obj) ../src/./tags.c: appsources
+	@# this receipt is needed to make Make recognize that targets were updated
+
+appsources: $(vifm_src)
 	$(MAKE) $(make_args) vifm$(exe_suffix)
 
-$(BUILD)stubs.o: stubs.c
+$(BUILD)test-support/%.o: test-support/%.c | $(BUILD)test-support
 	$(CC) -c -o $@ $(CFLAGS) $<
 
-$(BUILD)stic.o: stic/stic.c
+$(BUILD)test-support/stic/stic.o: test-support/stic/stic.c \
+                                | $(BUILD)test-support/stic
 	$(CC) -c -o $@ $(CFLAGS) $<
 
-$(B)stic/stic.h.gch: stic/stic.h | $(B)stic
+$(BUILD)test-support/stic/stic.h.gch: test-support/stic/stic.h \
+                                    | $(BUILD)test-support/stic
 	$(CC) -c -o $@ $(CFLAGS) $<
 
-$(B)stic $(B)bin/$(BINSUBDIR):
+$(tests_lib): $(BUILD)test-support/stic/stic.o $(tests_lib_obj) \
+            | $(BUILD)
+	$(AR) cr $@ $^
+
+$(BUILD) $(B)bin/$(BINSUBDIR) $(BUILD)test-support $(BUILD)test-support/stic:
 	$(AT)mkdir -p $@
 
 # this function of two arguments (array and element) returns index of the
@@ -275,13 +300,12 @@
 
 deps += $$($1.obj:.o=.d)
 
-$$($1.bin): $$($1.obj) $(BUILD)stic.o $(vifm_obj) \
-          | $(vifm_bin) $(B)bin/$(BINSUBDIR)
+$$($1.bin): $$($1.obj) $(vifm_obj) $(tests_lib) | $(B)bin/$(BINSUBDIR)
 	$$(LD) -o $$@ $$^ $(LDFLAGS)
 
 $(BUILD)$1/%.o: $1/%.c $(GCH_DEP) $(BUILD)$1/filelist \
               | $(BUILD)$1 $(SANDBOX_PATH)/$1
-	$$(CC) -c -o $$@ -include stic/stic.h $(CFLAGS) \
+	$$(CC) -c -o $$@ $(CFLAGS) -include test-support/stic/stic.h \
 	                 -DTESTID=$$(call pos, $$($1.obj), $$@) \
 	                 -DMAXTESTID=$$(words $$($1.obj)) $$< \
 	                 -DSUITE_NAME="$1" \
@@ -336,4 +360,5 @@
 
 # import dependencies calculated by the compiler
 include $(wildcard $(deps) \
-                   $(B)bin/build/stic.d $(B)stic/stic.h.d $(B)bin/build/stubs.d)
+                   $(BUILD)test-support/stic/stic.h.d \
+                   $(BUILD)test-support/*.d)
