=== debian/changelog ===
vifm (0.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:11 +1100

vifm (0.12-1build1) noble; urgency=medium

  * No-change rebuild for libmagic t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:43:12 +0100

vifm (0.12-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Change to GitHub.
  * Drop patches which are not needed or applied upstream:
    - drop-vifm-media-osx.patch
    - fix-hurd.patch
    - fix-kfreebsd.patch
    - gcc-10-fix.patch
  * d/rules:
    - Set TERM=xterm
    - Don't remove /usr/share/vifm/vifmrc-osx (doesn't exists in new release)

 -- Ondřej Nový <onovy@debian.org>  Wed, 13 Oct 2021 15:18:06 +0200
