=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vifm
 Section: utils
 Priority: optional
-Maintainer: Ondřej Nový <onovy@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Nový <onovy@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libmagic-dev,
                libncursesw5-dev,
