=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export TERM=xterm
 
 %:
 	dh $@
@@ -22,8 +23,7 @@
 		debian/vifm/usr/share/doc/vifm/INSTALL \
 		debian/vifm/usr/share/doc/vifm/ChangeLog \
 		debian/vifm/usr/share/vifm/vim \
-		debian/vifm/usr/share/vifm/vim-doc \
-		debian/vifm/usr/share/vifm/vifmrc-osx
+		debian/vifm/usr/share/vifm/vim-doc
 
 	dh_install
